screen gallery():

    tag menu

    add gui.main_menu_background

    add "galleryvid"

    imagebutton auto "gui/new/menus/back_%s.png" xalign .5 ypos 965 focus_mask None action Return()
    imagebutton auto "gui/new/menus/name_%s.png" xalign .95 ypos 965 focus_mask None action Function(renpy.call_in_new_context, "get_mc_name")

    style_prefix "gallery"

    vpgrid:

        cols 4
        spacing 40
        draggable True
        mousewheel True
        xalign 0.5
        yalign 0.5
        ###scrollbars "horizontal"

        #### Megan ####
        imagebutton auto "gallery/characters/galleryscreen_megan_%s.png" action ShowMenu("scene_gallery_megan")

        #### Sarah ####
        imagebutton auto "gallery/characters/galleryscreen_sarah_%s.png" action ShowMenu("scene_gallery_sarah")

        #### Faith ####
        imagebutton auto "gallery/characters/galleryscreen_faith_%s.png" action ShowMenu("scene_gallery_faith")

        #### Emma ####
        imagebutton auto "gallery/characters/galleryscreen_emma_%s.png" action ShowMenu("scene_gallery_emma")

        #### Ann ####
        imagebutton auto "gallery/characters/gallery_ann_%s.png" action ShowMenu("scene_gallery_ann")

        #### Ange ####
        imagebutton auto "gallery/characters/galleryscreen_ange_%s.png" action ShowMenu("scene_gallery_ange")

        #### Dr.Wood ####
        imagebutton auto "gallery/characters/galleryscreen_doc_%s.png" action ShowMenu("scene_gallery_drwood")

        #### Carrie ####
        imagebutton auto "gallery/characters/galleryscreen_carrie_%s.png" action ShowMenu("scene_gallery_carrie")

    
    if not persistent.gallery_unlocked:
        textbutton "Unlock all scenes" action SetVariable("persistent.gallery_unlocked", True) text_idle_color "#FFFFFF" xalign 0.2 yalign 0.94
    elif persistent.gallery_unlocked:
        textbutton "Lock unwatched scenes" action SetVariable("persistent.gallery_unlocked", False) text_idle_color "#FFFFFF" xalign 0.2 yalign 0.94

    textbutton "Support the mod" action OpenURL("https://www.patreon.com/LightmanP") text_idle_color "#FFFFFF" xalign 0.75 yalign 0.94


screen scene_gallery_megan():

    tag menu
    add "gui/n_bg2.png"
    imagebutton auto "gui/new/menus/back_%s.png" xpos 825 ypos 965 focus_mask None  action ShowMenu('gallery')

    vpgrid:

        cols 24
        spacing 15
        draggable True
        mousewheel "horizontal"
        xalign 0.5
        yalign 0.5

        scrollbars "horizontal"
        ###side_xalign 0.5

        add "gallery/episodenumber/ep1.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep1_meganchanging"):
            imagebutton auto "gallery/ep1_changing_%s.png" action Replay("ep1_meganchanging_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep1_wed_photo2"):
            imagebutton auto "gallery/ep1_photo1_%s.png" action Replay("ep1_megansexting1_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep1_wed_photo2"):
            imagebutton auto "gallery/ep1_photo2_%s.png" action Replay("ep1_megansexting2_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep1_megandressing"):
            imagebutton auto "gallery/ep1_choosing_%s.png" action Replay("ep1_meganchoosing_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep1_shopping_peek"):
            imagebutton auto "gallery/ep1_show_%s.png" action Replay("ep1_shopping_showtits_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep1_shopping_jerktomegan"):
            imagebutton auto "gallery/ep1_butt_%s.png" action Replay("ep1_shopping_jerktobutt_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep1_shopping_jerktouch"):
            imagebutton auto "gallery/ep1_shake_%s.png" action Replay("ep1_shopping_bootyshake_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep1_shopping_hj"):
            imagebutton auto "gallery/ep1_shophj_%s.png" action Replay("ep1_shopping_hj_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if special_version and (persistent.gallery_unlocked or renpy.seen_label("ep1_special")):
            imagebutton auto "gallery/ep1_special_%s.png" action Replay("ep1_special_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep1_fri_jerkto_m"):
            imagebutton auto "gallery/ep1_ending1_%s.png" action Replay("ep1_frievn_jerkto_m_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep1_fri_evn_hj"):
            imagebutton auto "gallery/ep1_ending2_%s.png" action Replay("ep1_frievn_m_hj_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep1_fri_evn_bj"):
            imagebutton auto "gallery/ep1_ending3_%s.png" action Replay("ep1_frievn_m_bj_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep2.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2_sat_evn_third_ver"):                                                                                      ######EP2.CH1######
            imagebutton auto "gallery/ep2ch1/ep2_meganevn_%s.png" action Replay("ep2_sat_evn_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if special_version and (persistent.gallery_unlocked or renpy.seen_label("ep2_special_footjob")):
            imagebutton auto "gallery/ep2ch1/ep2_meganfootjob_%s.png" action Replay("ep2_megan_footj_special", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2_special_boobjob"):
            imagebutton auto "gallery/ep2ch1/ep2_meganboobjob_%s.png" action Replay("ep2_megan_boobj_special", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2_special_blowjob"):
            imagebutton auto "gallery/ep2ch1/ep2_meganblowjob_%s.png" action Replay("ep2_megan_bj_special", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2_sun_m_morn_first"):
            imagebutton auto "gallery/ep2ch1/ep2_meganrun_%s.png" action Replay("ep2_megan_morningrun1_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2_sun_m_morn_second"):
            imagebutton auto "gallery/ep2ch1/ep2_meganrun2_%s.png" action Replay("ep2_megan_morningrun2_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2ch2_restroom_hj"):                                                                                      ######EP2.CH2######
            imagebutton auto "gallery/ep2ch2/ch2_m_rest_1_%s.png" action Replay("ep2ch2_restroom_hj_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2ch2_restroom_boobjob"):
            imagebutton auto "gallery/ep2ch2/ch2_m_rest2_%s.png" action Replay("ep2ch2_restroom_boobjob_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2ch2_restroom_bj"):
            imagebutton auto "gallery/ep2ch2/ch2_m_rest3_%s.png" action Replay("ep2ch2_restroom_bj_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2ch2_hotdinner"):
            imagebutton auto "gallery/ep2ch2/ch2_m_hotdinner_%s.png" action Replay("ep2ch2_hotdinner_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep3.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep3ch1_hospital"):                                                                                         ######EP3.CH1 SPECIAL######
            imagebutton auto "gallery/ep3ch1/ep3ch1_sp_%s.png" action Replay("ep3ch1_specialscene_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep3ch2_fri_megandreaming"):                                                                                         ######EP3.CH2######
            imagebutton auto "gallery/ep3ch2/ep3ch2_megan_dream_%s.png" action Replay("ep3ch2_fri_megandreaming_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep3ch2_sat_morning"):                                                                                         ######EP3.CH2 SPECIAL######
            imagebutton auto "gallery/ep3ch2/ep3ch2_sp_g_%s.png" action Replay("ep3ch2_specialscene_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep4.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep4ch1_beach_mc_megan_lotion"):                                                                                         ######EP4.CH1######
            imagebutton auto "gallery/ep4ch1/ep4ch1_megan_lotion_%s.png" action Replay("megan_lotion_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep4ch1_cardgame"):
            imagebutton auto "gallery/ep4ch1/ep4ch1_cardgame_%s.png" action Replay("cardgame_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep4ch2_corruption_restroom"):                                                                                         ######EP4.CH2######
            imagebutton auto "gallery/ep4ch2/ep4ch2_megan_corruption_route_gallery_%s.png" action Replay("ep4ch2_megan_corruption_route_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep4ch2_loveroute_restaurant"):
            imagebutton auto "gallery/ep4ch2/ep4ch2_megan_love_route_gallery_%s.png" action Replay("ep4ch2_megan_love_route_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep4ch2_ending"):                                                                                        ######EP4.CH2 SPECIAL######
            imagebutton auto "gallery/ep4ch2/ep4ch2_special_cardgame_%s.png" action Replay("ep4ch2_special_cardgame", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep5.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep5_doublefun_morning"):                                                                                        ######EP.5######
            imagebutton auto "gallery/ep5/ep5_megan_moring_sharing_gallery_%s.png" action Replay("ep5_doublefun_morning_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep5_morning_kitchen_megan_influenced"):
            imagebutton auto "gallery/ep5/ep5_megan_moring_corruption_gallery_%s.png" action Replay("ep5_morning_megan_influenced_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep5_morning_kitchen_quiz"):
            imagebutton auto "gallery/ep5/ep5_megan_moring_test_gallery_%s.png" action Replay("ep5_megan_morningtest_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep5_evening_ordinary"):
            imagebutton auto "gallery/ep5/ep5_megan_evening_ordinary_gallery_%s.png" action Replay("ep5_evening_megan_love_ordinary_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep5_evening_tits_exam"):
            imagebutton auto "gallery/ep5/ep5_megan_evening_examination_gallery_%s.png" action Replay("ep5_evening_megan_love_examination_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep5_corruption_night"):
            imagebutton auto "gallery/ep5/ep5_megan_night_corruptiondate_gallery_%s.png" action Replay("ep5_megan_corruption_night_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep7.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep7ch1_m_bathroom_infl"):                                                                                      ######EP7.CH1######
            imagebutton auto "gallery/ep7ch1/ep7ch1_m_bath_infl_%s.png" action Replay("ep7ch1_m_bathroom_infl_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep7ch1_m_bathroom_love"):
            imagebutton auto "gallery/ep7ch1/ep7ch1_m_bath_love_%s.png" action Replay("ep7ch1_m_bathroom_love_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep7ch1_wed_megan_hit_on_sarah"):
            imagebutton auto "gallery/ep7ch1/ep7ch1_s_hit_on_%s.png" action Replay("ep7ch1_wed_megan_hit_on_sarah_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep7ch1_wed_jake"):                                                                                      ########################SPECIAL########################
            imagebutton auto "gallery/ep7ch1/ep7ch1_special_%s.png" action Replay("ep7ch1_special", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep7ch2_ending"):                                                                                 ########################Ep.7 Ch.2 SPECIAL########################
            imagebutton auto "gallery/ep7ch2/ep7ch2_sp_%s.png" action Replay("ep7ch2_special_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep8.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_thu_morning"):                                                                          ########################Ep.8########################
            imagebutton auto "gallery/ep8/ep8_yoga_%s.png" action Replay("ep8_thu_morning_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_thu_lockerroom_hitonsarah"):
            imagebutton auto "gallery/ep8/ep8_lockerroom_%s.png" action Replay("ep8_thu_lockerroom_hitonsarah_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_thu_pool_megan"):
            imagebutton auto "gallery/ep8/ep8_pool_megan_%s.png" action Replay("ep8_thu_pool_megan_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_thu_hottub_corruption_m"):
            imagebutton auto "gallery/ep8/ep8_hottub_corruption_%s.png" action Replay("ep8_thu_hottub_corruption_m_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_thu_megan_tanningroom"):
            imagebutton auto "gallery/ep8/ep8_tanningroom_%s.png" action Replay("ep8_thu_megan_tanningroom_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_thu_sauna_threesome"):
            imagebutton auto "gallery/ep8/ep8_spa_thrsm_%s.png" action Replay("ep8_thu_sauna_threesome_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_thu_love_night"):
            imagebutton auto "gallery/ep8/ep8_lovenight_%s.png" action Replay("ep8_thu_love_night_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_thu_corruption_night"):
            imagebutton auto "gallery/ep8/ep8_cornight_%s.png" action Replay("ep8_thu_corruption_night_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_ending"):                                                                                         ######EP4.CH1 SPECIAL######
            imagebutton auto "gallery/ep4ch1/ep4ch1_special_%s.png" action Replay("ep4ch1_special", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep9.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch1_morning_m_love"):         ######EP9.CH1######
            imagebutton auto "gallery/ep9ch1/ep9ch1_morning_love_%s.png" action Replay("ep9ch1_morning_m_love_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch1_morning_m_corruption"):
            imagebutton auto "gallery/ep9ch1/ep9ch1_morning_corruption_%s.png" action Replay("ep9ch1_morning_m_corruption_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch1_m_office_anal"):
            imagebutton auto "gallery/ep9ch1/ep9ch1_megan_plug_%s.png" action Replay("ep9ch1_m_office_anal_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch1_m_carscene"):
            imagebutton auto "gallery/ep9ch1/ep9ch1_cartrip_%s.png" action Replay("ep9ch1_m_carscene_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch1_evening_threesome"):
            imagebutton auto "gallery/ep9ch1/ep9ch1_threesome_%s.png" action Replay("ep9ch1_evening_threesome_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch1_ending"):                         ######EP9.CH1 SPECIAL######
            imagebutton auto "gallery/ep9ch1/ep9ch1_specialscene_%s.png" action Replay("ep9ch1_special_scene", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_megan_morning_kitchenfun"):     ######EP9.CH2 ######
            imagebutton auto "gallery/ep9ch2/ep9ch2_megan_kitchen_%s.png" action Replay("ep9ch2_megan_morning_kitchenfun_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_megan_morning_bedroomfun"):
            imagebutton auto "gallery/ep9ch2/ep9ch2_megan_bedroom_%s.png" action Replay("ep9ch2_megan_morning_bedroomfun_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_megan_bedroom_anal"):
            imagebutton auto "gallery/ep9ch2/ep9ch2_megan_bedroom_anal_%s.png" action Replay("ep9ch2_megan_bedroom_anal_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_kitchenthreesome"):
            imagebutton auto "gallery/ep9ch2/ep9ch2_threesome_%s.png" action Replay("ep9ch2_kitchenthreesome_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_endingscene"):    ######EP9.CH2 SPECIAL######
            imagebutton auto "gallery/ep9ch2/ep9ch2_sp1_%s.png" action Replay("ep9ch2_special_scene_1", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_endingscene"):
            imagebutton auto "gallery/ep9ch2/ep9ch2_sp2_%s.png" action Replay("ep9ch2_special_scene_2", locked=False)
        else:
            add "gallery/locked.png"


screen scene_gallery_sarah():
    tag menu
    add "gui/n_bg2.png"
    imagebutton auto "gui/new/menus/back_%s.png" xpos 825 ypos 965 focus_mask None  action ShowMenu('gallery')

    vpgrid:

        cols 13
        spacing 10
        draggable True
        mousewheel "horizontal"
        xalign 0.5
        yalign 0.5
        scrollbars "horizontal"

        add "gallery/episodenumber/ep1.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep1_mon_sarconversation_noknock"):
            imagebutton auto "gallery/ep1_laptop_%s.png" action Replay("ep1_mon_sarconversation_noknock_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep2.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2_sun_evn_sarahfun"):
            imagebutton auto "gallery/ep2ch1/ep2_sarah1_%s.png" action Replay("ep2_sarah_firstfun_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2_sarah_sexting"):
            imagebutton auto "gallery/ep2ch1/ep2_sarah_sexting_gallery_%s.png" action Replay("ep2_sar_sexting_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2ch2_restaurant_sarah1"):
            imagebutton auto "gallery/ep2ch2/ch2_s_rest_1_%s.png" action Replay("ep2ch2_restaurant_sarah1_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2ch2_restaurant_sarah2"):
            imagebutton auto "gallery/ep2ch2/ch2_s_rest_2_%s.png" action Replay("ep2ch2_restaurant_sarah2_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2ch2_tuesday_sarahsbutt"):
            imagebutton auto "gallery/ep2ch2/ch2_s_bootycheck_%s.png" action Replay("ep2ch2_tuesday_sarahsbutt_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep3.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep3ch1_thu_s_hj"):                                                                                         ######EP3.Ch.1######
            imagebutton auto "gallery/ep3ch1/ep3ch1_sarah01_%s.png" action Replay("ep3ch1_thu_s_hj_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep3ch1_thu_s_teasing"):
            imagebutton auto "gallery/ep3ch1/ep3ch1_sarah02_%s.png" action Replay("ep3ch1_thu_s_teasing_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep3ch2_sarah_fullfun"):                                                                                         ######EP3.CH2######
            imagebutton auto "gallery/ep3ch2/ep3ch2_s_massage_%s.png" action Replay("ep3ch2_sarah_fullfun_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep3ch2_fri_ange_visit"):
            imagebutton auto "gallery/ep3ch2/ep3ch2_s_dinnerfun_%s.png" action Replay("ep3ch2_fri_ange_visit_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep4.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep4ch1_sarah_sports"):                                                                                         ######EP4.CH1######
            imagebutton auto "gallery/ep4ch1/ep4ch1_yoga_%s.png" action Replay("sarah_yoga_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep4ch1_beach_beginning"):
            imagebutton auto "gallery/ep4ch1/ep4ch1_sarah_lotion_%s.png" action Replay("sarah_lotion_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep4ch1_sarah_beachfun"):
            imagebutton auto "gallery/ep4ch1/ep4ch1_sarah_fun_%s.png" action Replay("sarah_beach_fun_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep4ch1_cardgame"):
            imagebutton auto "gallery/ep4ch1/ep4ch1_cardgame_%s.png" action Replay("cardgame_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep4ch2_ending"):                                                                                        ######EP4.CH2 SPECIAL######
            imagebutton auto "gallery/ep4ch2/ep4ch2_special_cardgame_%s.png" action Replay("ep4ch2_special_cardgame", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep5.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep5_morning_quiz_reward"):                                                                                        ######EP.5######
            imagebutton auto "gallery/ep5/ep5_sarah_quizreward_gallery_%s.png" action Replay("ep5_sarah_quiz_reward_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep5_ending"):                                                                                        ######EP.5 SPECIAL######
            imagebutton auto "gallery/ep5/ep5_special_gallery_%s.png" action Replay("ep5_special_scene_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep7.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep7ch1_sarahfun"):                                                                                  ########################Ep.7.Ch.1########################
            imagebutton auto "gallery/ep7ch1/ep7ch1_s_firstsex_%s.png" action Replay("ep7ch1_sarahfun_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep7ch1_wed_megan_hit_on_sarah"):
            imagebutton auto "gallery/ep7ch1/ep7ch1_s_hit_on_%s.png" action Replay("ep7ch1_wed_megan_hit_on_sarah_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep7ch1_wed_jake"):                                                                                      ########################SPECIAL########################
            imagebutton auto "gallery/ep7ch1/ep7ch1_special_%s.png" action Replay("ep7ch1_special", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep7ch2_ending"):                                                                                 ########################Ep.7 Ch.2 SPECIAL########################
            imagebutton auto "gallery/ep7ch2/ep7ch2_sp_%s.png" action Replay("ep7ch2_special_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep8.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_wed_night"):                                                                                ########################Ep.8########################
            imagebutton auto "gallery/ep8/ep8_sarahnightfun_%s.png" action Replay("ep8_wed_night_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_thu_lockerroom_hitonsarah"):
            imagebutton auto "gallery/ep8/ep8_lockerroom_%s.png" action Replay("ep8_thu_lockerroom_hitonsarah_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_thu_pool_sarah"):
            imagebutton auto "gallery/ep8/ep8_pool_sarah_%s.png" action Replay("ep8_thu_pool_sarah_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_thu_sauna_threesome"):
            imagebutton auto "gallery/ep8/ep8_spa_thrsm_%s.png" action Replay("ep8_thu_sauna_threesome_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_thu_sauna_funwithsarah"):
            imagebutton auto "gallery/ep8/ep8_spa_sarah_%s.png" action Replay("ep8_thu_sauna_funwithsarah_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep9.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch1_evening_sarah_solo"):         ######EP9.CH1######
            imagebutton auto "gallery/ep9ch1/ep9ch1_sarahsolo_%s.png" action Replay("ep9ch1_evening_sarah_solo_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch1_evening_threesome"):
            imagebutton auto "gallery/ep9ch1/ep9ch1_threesome_%s.png" action Replay("ep9ch1_evening_threesome_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_sarahsexytime"):         ######EP9.CH2######
            imagebutton auto "gallery/ep9ch2/ep9ch2_sarahsex_%s.png" action Replay("ep9ch2_sarahsexytime_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_kitchenthreesome"):
            imagebutton auto "gallery/ep9ch2/ep9ch2_threesome_%s.png" action Replay("ep9ch2_kitchenthreesome_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_endingscene"):       ######EP9.CH2 SPECIAL######
            imagebutton auto "gallery/ep9ch2/ep9ch2_sp1_%s.png" action Replay("ep9ch2_special_scene_1", locked=False)
        else:
            add "gallery/locked.png"

screen scene_gallery_faith():
    tag menu
    add "gui/n_bg2.png"
    imagebutton auto "gui/new/menus/back_%s.png" xpos 825 ypos 965 focus_mask None  action ShowMenu('gallery')

    vpgrid:

        cols 8
        spacing 10
        draggable True
        mousewheel "horizontal"
        xalign 0.5
        yalign 0.5
        scrollbars "horizontal"
        ###side_xalign 0.5

        add "gallery/episodenumber/ep1.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep1_faith_towel"):
            imagebutton auto "gallery/ep1_faithtowel_%s.png" action Replay("ep1_faithundress_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep2.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2_beginning_hangover"):
            imagebutton auto "gallery/ep2ch1/ep2_faith_%s.png" action Replay("ep2_morning_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2_jaketrouble"):
            imagebutton auto "gallery/ep2ch1/ep2_faith2_%s.png" action Replay("ep2_morning_jakeintrouble_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2ch2_jakesbd_beginning"):
            imagebutton auto "gallery/ep2ch2/ch2_f_birthday_%s.png" action Replay("ep2ch2_jakesbd_faithfun_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep3.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep3ch2_jaketalk"):                                                                                         ######EP3.CH2######
            imagebutton auto "gallery/ep3ch2/ep3ch2_f_clothed_%s.png" action Replay("ep3ch2_jaketalk_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep3ch2_helpingjake"):
            imagebutton auto "gallery/ep3ch2/ep3ch2_f_nude_%s.png" action Replay("ep3ch2_helpingjake_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep3ch2_faith_threesome_beginning"):
            imagebutton auto "gallery/ep3ch2/ep3ch2_thrsm_%s.png" action Replay("ep3ch2_faith_threesome_beginning_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep4.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep4ch2_f_solo"):                                                                                         ######EP4.CH2######
            imagebutton auto "gallery/ep4ch2/ep4ch2_faith_solo_gallery_%s.png" action Replay("ep4ch2_faith_solo_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep4ch2_f_threesome"):
            imagebutton auto "gallery/ep4ch2/ep4ch2_faith_threesome_gallery_%s.png" action Replay("ep4ch2_faith_threesome_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep7.png"
        if persistent.gallery_unlocked or renpy.seen_label("ep7ch1_wed_jake"):                                                                                      ########################Ep 7 CH.1 SPECIAL########################
            imagebutton auto "gallery/ep7ch1/ep7ch1_special_%s.png" action Replay("ep7ch1_special", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep7ch2_faith_sharingpath"):                                                                             ########################Ep.7 Ch.2########################
            imagebutton auto "gallery/ep7ch2/ep7ch2_faiththrsm_%s.png" action Replay("ep7ch2_faiththreesome_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep7ch2_faith_lovepath"):
            imagebutton auto "gallery/ep7ch2/ep7ch2_faithsolo_%s.png" action Replay("ep7ch2_faithsolo_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep8.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_ending"):                                                                                     ########################Ep. 8 SPECIAL########################
            imagebutton auto "gallery/ep8/ep8_spscene_%s.png" action Replay("ep8sp_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep8_ending"):                                                                                         ######EP4.CH1 SPECIAL######
            imagebutton auto "gallery/ep4ch1/ep4ch1_special_%s.png" action Replay("ep4ch1_special", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep9.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_faith_scene"):                ######EP9.CH2 ######
            imagebutton auto "gallery/ep9ch2/ep9ch2_faithsex_%s.png" action Replay("ep9ch2_faith_scene_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_endingscene"):                ######EP9.CH2 SPECIAL######
            imagebutton auto "gallery/ep9ch2/ep9ch2_sp2_%s.png" action Replay("ep9ch2_special_scene_2", locked=False)
        else:
            add "gallery/locked.png"

screen scene_gallery_drwood():
    tag menu
    add "gui/n_bg2.png"
    imagebutton auto "gui/new/menus/back_%s.png" xpos 825 ypos 965 focus_mask None  action ShowMenu('gallery')

    vpgrid:

        cols 2
        spacing 25
        draggable True
        mousewheel "horizontal"
        xalign 0.5
        yalign 0.5

        ###scrollbars "vertical"
        ###side_xalign 0.5

        add "gallery/episodenumber/ep1.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep1_tuesdaymorning"):
            imagebutton auto "gallery/ep1_drwood_%s.png" action Replay("ep1_drwoodfun_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep3.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep3ch1_drwoodsex"):                                                                                         ######EP3.Ch.1######
            imagebutton auto "gallery/ep3ch1/ep3ch1_drwood_%s.png" action Replay("ep3ch1_drwoodsex_gallery", locked=False)
        else:
            add "gallery/locked.png"

screen scene_gallery_carrie():
    tag menu
    add "gui/n_bg2.png"
    imagebutton auto "gui/new/menus/back_%s.png" xpos 825 ypos 965 focus_mask None  action ShowMenu('gallery')

    vpgrid:

        cols 4
        spacing 25
        draggable True
        mousewheel "horizontal"
        xalign 0.5
        yalign 0.5

        ###scrollbars "vertical"
        ###side_xalign 0.5

        add "gallery/episodenumber/ep2.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep2ch2_wed_shop"):
            imagebutton auto "gallery/ep2ch2/ch2_carrie_%s.png" action Replay("ep2ch2_wed_shop_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep4.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep4ch2_beginning"):                                                                                         ######EP4.CH2######
            imagebutton auto "gallery/ep4ch2/ep4ch2_carrie_text_gallery_%s.png" action Replay("ep4ch2_carrie_text_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep5.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep5_ending"):                                                                                        ######EP.5 SPECIAL######
            imagebutton auto "gallery/ep5/ep5_special_gallery_%s.png" action Replay("ep5_special_scene_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep7.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep7ch2_carrie"):
            imagebutton auto "gallery/ep7ch2/ep7ch2_carrie_%s.png" action Replay("ep7ch2_carry_gallery", locked=False)
        else:
            add "gallery/locked.png"

screen scene_gallery_emma():
    tag menu
    add "gui/n_bg2.png"
    imagebutton auto "gui/new/menus/back_%s.png" xpos 825 ypos 965 focus_mask None  action ShowMenu('gallery')

    vpgrid:

        cols 3
        spacing 25
        draggable True
        mousewheel "horizontal"
        xalign 0.5
        yalign 0.5

        ###scrollbars "vertical"
        ###side_xalign 0.5

        add "gallery/episodenumber/ep4.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep4ch2_ending"):                                                                                        ######EP4.CH2 SPECIAL######
            imagebutton auto "gallery/ep4ch2/ep4ch2_special_emma_%s.png" action Replay("ep4ch2_special_emma", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep9.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep91ch_office_sex"):         ######EP9.CH1######
            imagebutton auto "gallery/ep9ch1/ep9ch1_emma_sex_%s.png" action Replay("ep91ch_office_sex_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_emma_scene"):         ######EP9.CH2######
            imagebutton auto "gallery/ep9ch2/ep9ch2_emmasex_%s.png" action Replay("ep9ch2_emma_scene_no_anal_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_emma_analsex"):
            imagebutton auto "gallery/ep9ch2/ep9ch2_emmasex_anal_%s.png" action Replay("ep9ch2_emma_analsex_gallery", locked=False)
        else:
            add "gallery/locked.png"

screen scene_gallery_ann():
    tag menu
    add "gui/n_bg2.png"
    imagebutton auto "gui/new/menus/back_%s.png" xpos 825 ypos 965 focus_mask None  action ShowMenu('gallery')

    vpgrid:

        cols 3
        spacing 25
        draggable True
        mousewheel "horizontal"
        xalign 0.5
        yalign 0.5

        ###scrollbars "vertical"
        ###side_xalign 0.5

        add "gallery/episodenumber/ep9.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch1_ann_show"):         ######EP9.CH1######
            imagebutton auto "gallery/ep9ch1/ep9ch1_ann_show_%s.png" action Replay("ep9ch1_ann_show_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep91ch1_ann_sex"):
            imagebutton auto "gallery/ep9ch1/ep9ch1_ann_sex_%s.png" action Replay("ep91ch1_ann_sex_gallery", locked=False)
        else:
            add "gallery/locked.png"

screen scene_gallery_ange():
    tag menu
    add "gui/n_bg2.png"
    imagebutton auto "gui/new/menus/back_%s.png" xpos 825 ypos 965 focus_mask None  action ShowMenu('gallery')

    vpgrid:

        cols 6
        spacing 25
        draggable True
        mousewheel "horizontal"
        xalign 0.5
        yalign 0.5

        scrollbars "horizontal"
        ###side_xalign 0.5

        add "gallery/episodenumber/ep5.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep5_angethoughts"):                                                                                        ######EP.5######
            imagebutton auto "gallery/ep5/ep5_ange_gallery_%s.png" action Replay("ep5_angescene_gallery", locked=False)
        else:
            add "gallery/locked.png"

        add "gallery/episodenumber/ep9.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_ange_gym"):       ######EP9.CH2######
            imagebutton auto "gallery/ep9ch2/ep9ch2_ange_gym_%s.png" action Replay("ep9ch2_ange_gym_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_ange_spa_nobj"):
            imagebutton auto "gallery/ep9ch2/ep9ch2_gym_spa_%s.png" action Replay("ep9ch2_gym_spa_gallery", locked=False)
        else:
            add "gallery/locked.png"

        if persistent.gallery_unlocked or renpy.seen_label("ep9ch2_ange_spa_bj"):
            imagebutton auto "gallery/ep9ch2/ep9ch2_gym_spa_bj_%s.png" action Replay("ep9ch2_ange_spa_bj_gallery", locked=False)
        else:
            add "gallery/locked.png"
