define config.default_music_volume = 0.25
define config.default_sfx_volume = 0.25
define config.default_voice_volume = 0.25

default persistent.pref_text_size = gui.text_size
default persistent.opacity = 0

define smgr = "{color=#00c000}"
define gr = "{color=#00c000}"
define red = "{color=#f00}"
define blue = "{color=#00f}"

define mt = "{size=-3}"
define mod = Character("Mod", color="#25AF1E")

default modDoAllEP1001 = False
default modDoAllEP1002 = False
default modDoAllEP6001 = False
default faith_sharing_and_not = None
default ep3ch2_mod_both = False
default megan_romanced_corrupted = None
default ep8_pool_both = False
default ep4ch1_both_massage = False
default ep9ch2_morning_both = False # Checking on Megan and Sarah
default ep9ch2_megan_morning_both = False
default ange_emma = False

init 1:
    style choice_button:
        background None
        
    style choice_button_text:
        #font "DejaVuSans.ttf"
        idle_color "#FFF"
        hover_color "#00FF00"
        insensitive_color "#808080FF"
        idle_outlines [ (absolute(5), "#FFF0", absolute(1), absolute(1)), (absolute(2), "#000", absolute(1), absolute(1)) ]
        hover_outlines [ (absolute(5), "#0F08", absolute(1), absolute(1)), (absolute(2), "#000", absolute(1), absolute(1)) ]
        insensitive_outlines [ (absolute(5), "#808080C0", absolute(1), absolute(1)), (absolute(2), "#000", absolute(1), absolute(1)) ]

init 998 python:
    def _toggle_quick_menu_q():

        if renpy.has_screen('quick_menu'):
            if not hasattr(store, 'quick_menu'):
                setattr(store, 'quick_menu', True)
                renpy.show_screen('quick_menu')
                setattr(store, 'suppress_overlay', False)
            else:
                if quick_menu == True:
                    setattr(store, 'quick_menu', False)
                    renpy.hide_screen('quick_menu')
                else:
                    setattr(store, 'quick_menu', True)
                    renpy.show_screen('quick_menu')
                    setattr(store, 'suppress_overlay', False)

    config.keymap[ 'toggle_quick_menu_q' ] = [ 'K_q' ]
    config.underlay.append(renpy.Keymap(toggle_quick_menu_q = Function(_toggle_quick_menu_q)))